{ systemConfig, ... }:

{
  imports = [
    ./firewall.nix
  ];

  security.sudo.extraRules = [
    {
      users = [ systemConfig.username ];
      runAs = "ALL:ALL";
      commands = [
        {
          command = "ALL";
          options = [ "NOPASSWD" ];
        }
      ];
    }
  ];

  services.pcscd.enable = true;
}
